## org.gnu.atk
Class Hyperlink

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.atk.Hyperlink

public class Hyperlink
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Hyperlink(Handle handle)`

Method Summary
`protected static int` `atk_hyperlink_get_end_index(Handle link)`
`protected static int` `atk_hyperlink_get_n_anchors(Handle link)`
`protected static Handle` `atk_hyperlink_get_object(Handle link, int i)`
`protected static int` `atk_hyperlink_get_start_index(Handle link)`
`protected static int` `atk_hyperlink_get_type()`
`protected static java.lang.String` `atk_hyperlink_get_uri(Handle link, int i)`
`protected static boolean` `atk_hyperlink_is_inline(Handle link)`
`protected static boolean` `atk_hyperlink_is_selected_link(Handle link)`
`protected static boolean` `atk_hyperlink_is_valid(Handle link)`
`int` `getEndIndex()`
`int` `getNumAnchors()`
`AtkObject` `getObject(int index)`
`int` `getStartIndex()`
`java.lang.String` `getURI(int index)`
`boolean` `isInline()`
`boolean` `isSelectedLink()`
`boolean` `isValid()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hyperlink

    public Hyperlink(Handle handle)

Method Detail

### getURI

    public java.lang.String getURI(int index)

### getObject

    public AtkObject getObject(int index)

### getEndIndex

    public int getEndIndex()

### getStartIndex

    public int getStartIndex()

### isValid

    public boolean isValid()

### isInline

    public boolean isInline()

### getNumAnchors

    public int getNumAnchors()

### isSelectedLink

    public boolean isSelectedLink()

### atk_hyperlink_get_type

    protected static final int atk_hyperlink_get_type()

### atk_hyperlink_get_uri

    protected static final java.lang.String atk_hyperlink_get_uri(Handle link,
                                                                  int i)

### atk_hyperlink_get_object

    protected static final Handle atk_hyperlink_get_object(Handle link,
                                                           int i)

### atk_hyperlink_get_end_index

    protected static final int atk_hyperlink_get_end_index(Handle link)

### atk_hyperlink_get_start_index

    protected static final int atk_hyperlink_get_start_index(Handle link)

### atk_hyperlink_is_valid

    protected static final boolean atk_hyperlink_is_valid(Handle link)

### atk_hyperlink_is_inline

    protected static final boolean atk_hyperlink_is_inline(Handle link)

### atk_hyperlink_get_n_anchors

    protected static final int atk_hyperlink_get_n_anchors(Handle link)

### atk_hyperlink_is_selected_link

    protected static final boolean atk_hyperlink_is_selected_link(Handle link)